<html>
<link rel="stylesheet" type="text/css" href="css/style.css" />
<body bgcolor="white">

<?php
extract($_REQUEST);

include("scripts/sqlinfo.inc");
if(!$submit){
?>
<center><table width=400><tr><td>
<span class="header1">Pyrots informationsmail</span><br>
Fyll i detta formulär för att komma med i maillistan där information om kommande skjutningar kommer att postas.<br>
Tanken är att det ska komma ut ett mail några dagar innan varje skjutning så att den som är intresserad vet var och när det kommer smälla.
<br>
Du kommer att få ett mail som bekräftar att du gått med i listan, samt en länk att följa om du vill gå ur listan.
<br>
<form method="post" action="join_maillista.php">
e-post: <br><input type="text" name="mail" size=30><br>
<input type="submit" name="submit" value="Gå med"></form><br>Redan medlem i listan, men vill <a href="remove_maillist.php">gå ur?</a>
<?php } else { ?>

<?php
	mysql_connect($host, $user, $pass);
	mysql_select_db("pyrot");
	$result=mysql_query("insert into maillista values(null, \"$mail\")");
	if($result==1){
	printf("<center><table width=400><tr><td><span class=\"header1\">Pyrots informationsmail</span></td></tr><tr><td>Tack för att du gått med i listan, vi skickar nu ett mail till dig för att bekräfta att du gått med i listan.</td></tr></table></center>");
	
	mail("$mail", "Medlemskap Pyrots maillista",
	"Välkommen till pyrots maillista!
Du är nu med på listan och kommer att få information om saker som händer inom pyrot, i första hand skjutningar vi har.

Skulle det vara så att du vill gå ur listan så är det bara att gå in på denna sida:
http://www.pyrot.com/index.php?page=remove_maillist.php?mail=$mail
Tack för visat intresse!
Mvh
Pyrot","FROM: \"Pyrotekniska sällskapet vid LTU\" <info@pyrot.com>");

	}
	else{
	printf("Ett fel uppstod, antagligen beror detta på att du redan är medlem i listan.");
	}




// Visar alla medlemmar i listan...
/*	$result=mysql_query("select * from maillista");
	if($r = mysql_fetch_array($result)){
		do{
			printf("%s", $r["mail"]);
		}while($r=mysql_fetch_array($result));
	}	*/
} ?>
</td></tr></table></center>
</body></html>
